import request from '@/utils/request'

// 查询解除隔离人员列表
export function listJcglry(query) {
  return request({
    url: '/system/jcglry/list',
    method: 'get',
    params: query
  })
}
// 下载导入模板
export function importTemplate(params) {
  return request({
    url: '/system/jcglry/importTemplate',
    method: 'post',
    responseType: 'blob',
    params
  })
}
// 导入用户信息
export function importExcel(data) {
  return request({
    url: '/system/jcglry/importData',
    method: 'post',
    responseType: 'blob',
    data
  })
}

// 查询解除隔离人员详细
export function getJcglry(id) {
  return request({
    url: '/system/jcglry/' + id,
    method: 'get'
  })
}

// 新增解除隔离人员
export function addJcglry(data) {
  return request({
    url: '/system/jcglry',
    method: 'post',
    data: data
  })
}

// 修改解除隔离人员
export function updateJcglry(data) {
  return request({
    url: '/system/jcglry',
    method: 'put',
    data: data
  })
}

// 删除解除隔离人员
export function delJcglry(id) {
  return request({
    url: '/system/jcglry/' + id,
    method: 'delete'
  })
}

// 查询隔离地点
export function getDictData(type) {
  return request({
    url: '/system/jcglry/glPlace',
    method: 'get'
  })
}
